# SPDX-FileCopyrightText: ☭ 2022 Emery Hemingway
# SPDX-License-Identifier: Unlicense

import std/[asyncdispatch, strutils]
import syndicate
import ./private/libnotify
import ./notifications

bootDataspace("main") do (ds: Ref; turn: var Turn):
  connectStdio(ds, turn)
  let nc = newNotifyClient("syndicate")
  onMessage(turn, ds, ?Notify) do (s: string, b: string, t: int, u: Urgency):
    nc.send_new_notification(
      summary = s,
      body = b,
      icon_fname = "",
      timeout = t,
      urgency = NotificationUrgency u)

runForever()
